package com.example.bomocloud.auth

import io.reactivex.Observable
import retrofit2.http.POST
import retrofit2.http.Query

interface OauthService {

    companion object {
        const val BASE_URL = "oauth/"
    }

    @POST("token")
    fun refreshToken(
            @Query("grant_type") grantType: String,
            @Query("refresh_token") refreshToken: String?
    ): Observable<RefreshTokenData>
}