package com.example.bomocloud.theme

import com.google.gson.annotations.SerializedName

class ThemeAssetIndex (
        @SerializedName("name") val name: String,
        @SerializedName("source_path") val sourcePath: String,
        @SerializedName("key") val key: String,
        @SerializedName("large_file") val largeFile: String,
        @SerializedName("small_file") val smallFile: String,
        @SerializedName("contains") val contains: Contains
) {

    data class Contains(
            @SerializedName("actor") val actor: HashMap<String, HashMap<String, FilePath>>,
            @SerializedName("music") val music: HashMap<String, String>,
            @SerializedName("object") val obj: HashMap<String, FilePath>,
            @SerializedName("scene") val scene: HashMap<String, FilePath>
    ) {

        data class FilePath(
                @SerializedName("large_file") val largeFile: String,
                @SerializedName("small_file") val smallFile: String
        )


    }
}