package com.example.bomocloud.video

import com.google.gson.annotations.SerializedName

data class ListVideoData(
        @SerializedName("data") val data: Data?
) {
    data class Data(
            @SerializedName("next_page_token") val nextPageToken: String?,
            @SerializedName("prev_page_token") val prevPageToken: String?,
            @SerializedName("page_info") val pageInfo: PageInfo?,
            @SerializedName("videos") val videos: List<Video>?
    ) {
        data class PageInfo(
                @SerializedName("results_per_page") val resultsPerPage: Int,
                @SerializedName("total_results") val totalResults: Int
        )

        data class Video(
                @SerializedName("video_id") val videoId: String,
                @SerializedName("title") val title: String,
                @SerializedName("thumbnail_url") val thumbNailUrl: String,
                @SerializedName("watch_url") val watchUrl: String
        )
    }
}