package com.example.bomocloud.theme

import com.google.gson.annotations.SerializedName


data class ThemePreviewUrlData(
        @SerializedName("data") val data: Data?,
        @SerializedName("error_code") val errorCode: Int?,
        @SerializedName("error") val error: String?
) {

    data class Data(
            @SerializedName("id") val id: Int,
            @SerializedName("name") val name: String,
            @SerializedName("preview_index") val previewIndex: PreviewIndex
    ) {

        data class PreviewIndex(
                @SerializedName("theme") val theme: Theme,
                @SerializedName("actor") val actor: HashMap<String, String>,
                @SerializedName("object") val obj: HashMap<String, String>,
                @SerializedName("scene") val scene: HashMap<String, String>
        ) {
            data class Theme(
                    @SerializedName("large") val large: String,
                    @SerializedName("small") val small: String
            )
        }
    }
}